### Method

# GdkPixbuf Pixbuf save_to_streamv_async

since: 2.36

#### Declaration [src]

    void
    gdk_pixbuf_save_to_streamv_async (
      GdkPixbuf* pixbuf,
      GOutputStream* stream,
      const gchar* type,
      gchar** option_keys,
      gchar** option_values,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Saves `pixbuf` to an output stream asynchronously.

For more details see gdk_pixbuf_save_to_streamv(), which is the synchronous version of this function.

When the operation is finished, `callback` will be called in the main thread.

You can then call `gdk_pixbuf_save_to_stream_finish()` to get the result of the operation.

Available since: 2.36

This method completes asynchronously. Use `()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`stream`

  Type: `GOutputStream`

  A `GOutputStream` to which to save the pixbuf.

  The data is owned by the caller of the method.

`type`

  Type: `const gchar*`

  Name of file format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`option_keys`

  Type: An array of `utf8`

  Name of options to set.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`option_values`

  Type: An array of `utf8`

  Values for named options.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the pixbuf is saved.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.